# Yahoo! UI Library

### paginator 2.6.0

Yahoo! UI Library > paginator > YAHOO.widget.Paginator.ui.FirstPageLink

Show Private Show Protected Show Deprecated

## Class YAHOO.widget.Paginator.ui.FirstPageLink

ui Component to generate the link to jump to the first page.

### Constructor

YAHOO.widget.Paginator.ui.FirstPageLink `( p )`

Parameters:
  `p <Pagintor>` Paginator instance to attach to

### Properties

#### current `- private HTMLElement`

The currently placed HTMLElement node

#### link `- private HTMLElement`

Link node

#### span `- private HTMLElement`

Span node (inactive link)

### Methods

#### destroy

`private void destroy ( )`
Removes the link/span node and clears event listeners removal.

Returns: `void`

#### init

`static void init ( p )`
Decorates Paginator instances with new attributes. Called during Paginator instantiation.

Parameters:
  `p <Paginator>` Paginator instance to decorate

Returns: `void`

#### onClick

`void onClick ( e )`
Listener for the link's onclick event. Pass new value to setPage method.

Parameters:
  `e <DOMEvent>` The click event

Returns: `void`

#### render

`HTMLElement render ( id_base )`
Generate the nodes and return the appropriate node given the current pagination state.

Parameters:
  `id_base <string>` used to create unique ids for generated nodes

Returns: `HTMLElement`

#### update

`void update ( e )`
Swap the link and span nodes if appropriate.

Parameters:
  `e <CustomEvent>` The calling change event

Returns: `void`

### Events

#### beforeFirstPageLinkClassChange

`beforeFirstPageLinkClassChange ( event )`
Fires before the value for the configuration attribute 'firstPageLinkClass' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeFirstPageLinkLabelChange

`beforeFirstPageLinkLabelChange ( event )`
Fires before the value for the configuration attribute 'firstPageLinkLabel' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### firstPageLinkClassChange

`firstPageLinkClassChange ( event )`
Fires when the value for the configuration attribute 'firstPageLinkClass' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### firstPageLinkLabelChange

`firstPageLinkLabelChange ( event )`
Fires when the value for the configuration attribute 'firstPageLinkLabel' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

### Configuration Attributes

#### firstPageLinkClass `- object`

CSS class assigned to the link/span
Default Value: 'yui-pg-first'

#### firstPageLinkLabel `- object`

Used as innerHTML for the first page link/span.
Default Value: '<< first'

Copyright © 2008 Yahoo! Inc. All rights reserved.